Bug 849070 - Anaconda's bug reporter doesn't work
Anaconda's bug reporter doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Alpha/F18AlphaBlocker
  Show dependency treegraph
 
Reported: 2012-08-17 04:45 EDT by Petr Schindler
Modified: 2012-09-06 12:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 12:21:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-08-17 04:45:02 EDT
Description of problem:
Window that should serve for bug reporting doesn't work. Window is shown correctly when error appears, but I can't click on anything. So I'm unable to report bug.

Version-Release number of selected component (if applicable):
anaconda 18.6
Alpha TC3 DVD.iso

How reproducible:
always

Steps to Reproduce:
1. Try to find some error in anaconda (in TC3 - click on configure button in Network settings spoke)
  
Actual results:
Window for reporting appears, but I can't click on anything.

Expected results:
The window should work correctly, I should be able to report a bug via this.

Additional info:
I propose this as alpha blocker as it violates this criterion:
 "The installer must be able to report failures to Bugzilla and local disk, with appropriate information included"
Comment 1 Vratislav Podzimek 2012-08-17 04:55:56 EDT
(In reply to comment #0)
> Description of problem:
> Window that should serve for bug reporting doesn't work. Window is shown
> correctly when error appears, but I can't click on anything. So I'm unable
> to report bug.
This is a know issue and it happens only if the exception window appears above a spoke (hubs and standalone-spokes are ok). Patch for this issue is waiting for a review and pushing.
Comment 2 Adam Williamson 2012-08-20 19:26:23 EDT
Discussed at 2012-08-20 QA meeting, acting as a blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2012-08-20/fedora-qa.2012-08-20-15.00.html . Accepted as a blocker per criterion "The installer must be able to report failures to Bugzilla and local disk, with appropriate information included".
Comment 3 Vratislav Podzimek 2012-08-22 04:36:51 EDT
Patch for this issue has been pushed to anaconda git repository (e5fd667e1402a0355ef2663571c41454f25c3caf)
Comment 4 Fedora Update System 2012-08-22 18:59:12 EDT
anaconda-18.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.6.1-1.fc18
Comment 5 Fedora Update System 2012-08-23 00:36:48 EDT
Package anaconda-18.6.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.6.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12550/anaconda-18.6.1-1.fc18
then log in and leave karma (feedback).
Comment 6 Michael Scherer 2012-08-31 06:34:44 EDT
Using TC4, i just had a traceback and was able to report a issue using anaconda reporting ( 853376 ), so this is likely fixed.
Comment 7 Tim Flink 2012-08-31 15:02:22 EDT
Using the TC4 x86_64 netinstall, I forced a crash with the following updates.img:
http://tflink.fedorapeople.org/updates/f18_traceback.img

Libreport starts up and attempts to file a new bug, so it appears as if this bug has been fixed. Moving to VERIFIED.
Comment 8 Adam Williamson 2012-09-06 12:21:52 EDT
18.6.5-1 was pushed stable, so closing.

Note You need to log in before you can comment on or make changes to this bug.